=== crypto/Makefile ===
# SPDX-License-Identifier: GPL-2.0+
#
# Copyright (c) 2013 Samsung Electronics Co., Ltd.
# 	http://www.samsung.com

obj-$(CONFIG_EXYNOS_ACE_SHA)	+= ace_sha.o
obj-y += rsa_mod_exp/
obj-y += fsl/
obj-y += hash/
