=== env/Makefile ===
# SPDX-License-Identifier: GPL-2.0+
#
# Copyright (c) 2015 National Instruments, Inc

obj-y += cmd_ut_env.o
obj-y += attr.o
obj-y += hashtable.o
obj-$(CONFIG_ENV_IMPORT_FDT) += fdt.o
