=== init/Makefile ===
#
# Copyright (c) 2015 Google, Inc
#
# SPDX-License-Identifier:      GPL-2.0+
#

obj-y += board_init.o
obj-$(CONFIG_$(SPL_TPL_)HANDOFF) += handoff.o
