=== erofs/Makefile ===
# SPDX-License-Identifier: GPL-2.0+
#

obj-$(CONFIG_$(SPL_)FS_EROFS) = fs.o \
				super.o \
				namei.o \
				data.o \
				decompress.o \
				zmap.o
