=== samsung/arndale/Makefile ===
# SPDX-License-Identifier: GPL-2.0+
#
# Copyright (C) 2013 Samsung Electronics

obj-y	+= arndale_spl.o
obj-y	+= arndale.o
