=== traverse/common/Makefile ===
obj-$(CONFIG_TEN64_CONTROLLER) += ten64_controller.o
